# netapp_e_amg_role – NetApp E-Series update the role of a storage array within an Asynchronous Mirror Group (AMG)

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Update a storage array to become the primary or secondary instance in an asynchronous mirror group

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password - / required |  | The password to authenticate with the SANtricity WebServices Proxy or embedded REST API.
api_url - / required |  | The url to the SANtricity WebServices Proxy or embedded REST API.
api_username - / required |  | The username to authenticate with the SANtricity WebServices Proxy or embedded REST API.

force
boolean

Choices:
- no ←
- yes

Whether to force the role reversal regardless of the online-state of the primary

noSync
boolean

Choices:
- no ←
- yes

Whether to avoid synchronization prior to role reversal

role
- / required

Choices:
- primary
- secondary

Whether the array should be the primary or secondary array for the AMG

ssid - / required |  | The ID of the primary storage array for the async mirror action

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

## Examples

    - name: Update the role of a storage array
      netapp_e_amg_role:
        name: updating amg role
        role: primary
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"
        validate_certs: "{{ netapp_api_validate_certs }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | failure | Failure message Sample: No Async Mirror Group with the name.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.